# org.pdfclown.documents.interaction.navigation.document.LocalDestination Class Reference

Local interaction target [PDF:1.6:8.2.1]. More...

Inheritance diagram for org.pdfclown.documents.interaction.navigation.document.LocalDestination:

List of all members.

## Public Types
enum | ModeEnum { XYZ, Fit, FitHorizontal, FitVertical, FitRectangle, FitBoundingBox, FitBoundingBoxHorizontal, FitBoundingBoxVertical }
| Destination mode [PDF:1.6:8.2.1]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| LocalDestination (Page page, ModeEnum mode, object location, double?zoom)
| LocalDestination (Page page)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Destination | Wrap (PdfDirectObject baseObject)
| Wraps a destination base object into a destination object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
PdfDirectObject | BaseObject`[get]`
| Gets the underlying reference object, if available; otherwise, gets the underlying data object.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
object | Location`[get, set]`
| Gets/Sets the page location.
ModeEnum | Mode`[get, set]`
| Gets the destination mode.
PdfString | Name`[get]`
| Gets the object name.
PdfDirectObject | NamedBaseObject`[get]`
| Gets the object name, if available; otherwise, behaves like BaseObject.
override object | Page`[get, set]`
| Gets/Sets the target page.
double | Zoom`[get, set]`
| Gets the magnification factor to use when displaying the page.

##

Local interaction target [PDF:1.6:8.2.1].

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::navigation::document::Destination::ModeEnum`[inherited]`

Destination mode [PDF:1.6:8.2.1].

Enumerator:

  XYZ | Display the page at the given upper-left position, applying the given magnification. View parameters: left coordinate top coordinate zoom
  Fit | Display the page with its contents magnified just enough to fit the entire page within the window both horizontally and vertically. No view parameters.
  FitHorizontal | Display the page with the vertical coordinate
      top
  positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window. View parameters: top coordinate
  FitVertical | Display the page with the horizontal coordinate
      left
  positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window. View parameters: left coordinate
  FitRectangle | Display the page with its contents magnified just enough to fit the rectangle specified by the given coordinates entirely within the window both horizontally and vertically. View parameters: left coordinate bottom coordinate right coordinate top coordinate
  FitBoundingBox | Display the page with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically. No view parameters.
  FitBoundingBoxHorizontal | Display the page with the vertical coordinate
      top
  positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window. View parameters: top coordinate
  FitBoundingBoxVertical | Display the page with the horizontal coordinate
      left
  positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window. View parameters: left coordinate

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.navigation.document.LocalDestination.LocalDestination | ( | Page | page | ) |

org.pdfclown.documents.interaction.navigation.document.LocalDestination.LocalDestination | ( | Page | page,
|  | ModeEnum | mode,
|  | object | location,
|  | double? | zoom |
| ) |  |  |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfArray > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Destination org.pdfclown.documents.interaction.navigation.document.Destination.Wrap | ( | PdfDirectObject | baseObject | ) | `[static, inherited]`

Wraps a destination base object into a destination object.

Parameters:

  | baseObject | Destination base object.

Returns:
  Destination object associated to the base object.

References org.pdfclown.objects.PdfObject.Resolve().

## Property Documentation

PdfDirectObject org.pdfclown.objects.IPdfObjectWrapper.BaseObject`[get, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Implemented in org.pdfclown.objects.PdfObjectWrapper.

Referenced by org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Add(), and org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates.Insert().

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

object org.pdfclown.documents.interaction.navigation.document.Destination.Location`[get, set, inherited]`

Gets/Sets the page location.

ModeEnum org.pdfclown.documents.interaction.navigation.document.Destination.Mode`[get, set, inherited]`

Gets the destination mode.

PdfString org.pdfclown.documents.interaction.navigation.document.Destination.Name`[get, inherited]`

Gets the object name.

As names are tipically loosely-coupled with their corresponding PDF objects, name retrieval implies a costly reverse lookup into the document's name tree.

Implements org.pdfclown.objects.IPdfNamedObjectWrapper.

PdfDirectObject org.pdfclown.documents.interaction.navigation.document.Destination.NamedBaseObject`[get, inherited]`

Gets the object name, if available; otherwise, behaves like BaseObject.

Implements org.pdfclown.objects.IPdfNamedObjectWrapper.

override object org.pdfclown.documents.interaction.navigation.document.LocalDestination.Page`[get, set]`

Gets/Sets the target page.

Reimplemented from org.pdfclown.documents.interaction.navigation.document.Destination.

double org.pdfclown.documents.interaction.navigation.document.Destination.Zoom`[get, set, inherited]`

Gets the magnification factor to use when displaying the page.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.